//-----------------------------------------------
//-打印时用到的函数------------------------------
//-----------------------------------------------
function wkprint(DivIDStr) {
 //DivIDStr:不需要打印的DIV块的识别号的字符串，用逗号分隔

 //判断DivDataOther是否存在，只有在流程数据显示页面含有回复、附加、审批数据时才会有DivDataOther
 var PrintAll=1;//1：打印全部，2：不打印DivDataOther，3：取消打印
 if(document.getElementById("DivDataOther")){
  PrintAll=window.showModalDialog("../ASPFUNCTION/PrintControl.asp","","dialogHeight=210px;dialogWidth=420px;center=1;status=0;resizable=0;help=0;");
 }
 if(PrintAll==1||PrintAll==2){
  //把要隐藏的块转换成数组
  if(DivIDStr!=""){
   var dividarr=DivIDStr.split(",");
   var perdivid;//定义每个块名
   var perdivob;//定义每个块的对象
   //隐藏块
   for(perdivid in dividarr){
    perdivob=eval(dividarr[perdivid]+".style");
    perdivob.display="none";
   };
  };
  //打印
  if(PrintAll==2){  //不打印DivDataOther
   DivDataOther.style.display="none";
  }
  window.print()
  if(PrintAll==2){  //不打印DivDataOther
   DivDataOther.style.display="block";
  }
  //显示块
  if(DivIDStr!=""){
   for(perdivid in dividarr){
    perdivob=eval(dividarr[perdivid]+".style");
    perdivob.display="block";
   };
  };
 }
}
